package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "NowWeatherDto", description = "接收数据")
public class NowWeatherDto extends BaseDto{
    //@ApiModelProperty("实时天气数据")
    private NowDto now;

    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static NowWeatherDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, NowWeatherDto.class);
    }

    public NowDto getNow() {
        return now;
    }

    public void setNow(NowDto now) {
        this.now = now;
    }
}
